name: unicblue/image-gallery
typeName: unicblue_imagegallery
group: hks
prefixFields: true
prefixType: full
fields:
  # -------------------------
  # Heading
  # -------------------------
  -
    identifier: headers
    type: Palette
    fields:
      -
        identifier: header
        useExistingField: true
      -
        identifier: header_layout
        useExistingField: true
      -
        identifier: header_position
        useExistingField: true
  -
    identifier: subheader
    useExistingField: true

  # -------------------------
  # Images (core FAL field — multiple allowed)
  # -------------------------
  -
    identifier: image
    useExistingField: true

  # -------------------------
  # Layout options
  # -------------------------
  -
    identifier: layout_palette
    type: Palette
    fields:
      -
        identifier: cols_xs
        type: Select
        translatable: false
        renderType: selectSingle
        default: '2'
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.1
            value: '1'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.2
            value: '2'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.3
            value: '3'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.4
            value: '4'
      -
        identifier: cols_sm
        type: Select
        translatable: false
        renderType: selectSingle
        default: '3'
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.1
            value: '1'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.2
            value: '2'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.3
            value: '3'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.4
            value: '4'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.6
            value: '6'
      -
        identifier: cols_md
        type: Select
        translatable: false
        renderType: selectSingle
        default: '4'
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.1
            value: '1'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.2
            value: '2'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.3
            value: '3'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.4
            value: '4'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.6
            value: '6'
      -
        identifier: cols_lg
        type: Select
        translatable: false
        renderType: selectSingle
        default: '4'
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.1
            value: '1'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.2
            value: '2'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.3
            value: '3'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.4
            value: '4'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.6
            value: '6'
      -
        identifier: cols_xl
        type: Select
        translatable: false
        renderType: selectSingle
        default: '4'
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.1
            value: '1'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.2
            value: '2'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.3
            value: '3'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.4
            value: '4'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.cols.items.6
            value: '6'
      -
        identifier: gap
        type: Select
        translatable: false
        renderType: selectSingle
        default: '3'
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.gap.items.none
            value: '0'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.gap.items.xs
            value: '1'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.gap.items.sm
            value: '2'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.gap.items.md
            value: '3'
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.gap.items.lg
            value: '4'
      -
        identifier: aspect_ratio
        type: Select
        translatable: false
        renderType: selectSingle
        default: auto
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.aspect_ratio.items.auto
            value: auto
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.aspect_ratio.items.1x1
            value: 1x1
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.aspect_ratio.items.4x3
            value: 4x3
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.aspect_ratio.items.3x2
            value: 3x2
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:layout_palette.aspect_ratio.items.16x9
            value: 16x9

  # -------------------------
  # Display options
  # -------------------------
  -
    identifier: display_palette
    type: Palette
    fields:
      -
        identifier: lightbox
        type: Checkbox
        translatable: false
        renderType: checkboxToggle
        default: 1
      -
        identifier: hover_effect
        type: Select
        translatable: false
        renderType: selectSingle
        default: zoom
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:display_palette.hover_effect.items.none
            value: none
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:display_palette.hover_effect.items.zoom
            value: zoom
      -
        identifier: show_caption
        type: Select
        translatable: false
        renderType: selectSingle
        default: none
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:display_palette.show_caption.items.none
            value: none
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:display_palette.show_caption.items.always
            value: always
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/image-gallery/language/labels.xlf:display_palette.show_caption.items.hover
            value: hover

  # -------------------------
  # Spacing (shared custom fields)
  # -------------------------
  -
    identifier: tab_layout
    type: Tab
    label: 'Layout'
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: spacing_palette
    type: Palette
    fields:
      -
        identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      -
        identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
